Subject: Re: [PATCH net-next v2 1/2] bnx2x: convert to use ndo_hwtstamp callbacks

From: Jakub Kicinski <[email-masked]>
Date: Mon, 10 Nov 2025 15:50:24 -0800

On Mon, 10 Nov 2025 15:23:23 -0800 Jacob Keller wrote:
> On 11/8/2025 4:38 AM, Vadim Fedorenko wrote:
> > On 08/11/2025 02:41, Jakub Kicinski wrote:  
> >> On Thu,  6 Nov 2025 21:37:16 +0000 Vadim Fedorenko wrote:  
> >> This is the wrong way around, if someone adds a new value unsupported
> >> by the driver it will pass. We should be listing the supported types
> >> and
> >>
> >> 	default:
> >> 		...ERR_MSG..
> >> 		return -ERANGE;
> >> 	}  
> > 
> > But that's the original logic of the driver. Should I change it within
> > the same patch, or is it better to make a follow-up work to clean such
> > things in net-next?  

That's partially true, note that the original code did not have a
default clause. So (IIUC) compiler would warn us if we added a new 
enum value without adding it in this driver. You're adding defaults.

> I'd prefer a separate patch for clarity. A backport is probably
> unnecessary since I doubt we'll add a new timestamp mode in such a
> backport in the future.. but functional changes like that make sense as
> a separate patch.

Yup, I think I asked for separate patch originally. Perhpas I wasn't
clear enough.